:root {
  --font-family-body: 'Montsera11y', Arial, Helvetica, sans-serif;
  --font-family-headings: 'Solway', Georgia, 'Times New Roman', Times, serif;

  --color-base: #1A1A1C;
  --color-bg: #F5F5F7;
  --color-white: #FFFFFF;
  --color-primary: #018FEF;
  --color-primary-dark: #0173C1;
  --color-primary-dark-2: #015893;
  --color-secondary: #461509;
  --color-secondary-light: #5A1B0C;
  --color-tertiary: #D9D9D9;

  --color-off-white: #fffafa;
  --color-border: #949494;
  --color-error: #B30000;

  --color-heading: var(--color-base);

  --color-link: var(--color-primary-dark);
  --color-link-hover: var(--color-primary-dark-2);

  --color-button: var(--color-white);
  --color-button-bg: var(--color-primary-dark);
  --color-button-border: transparent;
  --color-button-hover: var(--color-white);
  --color-button-hover-bg: var(--color-secondary);
  --color-button-hover-border: transparent;

  --color-border-input: var(--color-border);

  --color-focus-border: var(--color-primary);

  --spacing-vertical: 1.5rem;
  --spacing-vertical-sm: 1rem;
  --spacing-vertical-xs: .5rem;

  --border-radius: 4px;
  --border-radius-button: 4px;
  --border-radius-input: 4px;
}

@keyframes fadeOut {
  0% { opacity: 1; }
  100% { opacity: 0; }
}

* {
  transition: color .2s ease, background-color .2s ease;
  box-sizing: border-box;
}

* + * {
  margin-top: var(--spacing-vertical, 1em);
}

* + *:last-child {
  margin-bottom: 0;
}

html,
body {
  margin: 0;
  padding: 0;
}

body {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  background-color: var(----color-bg);
  color: var(--color-base);
  font-size: 1rem;
  font-family: var(--font-family-body);
  font-weight: 400;
  line-height: 1.5rem;
  -webkit-font-smoothing: subpixel-antialiased;
}

h1, h2, h3, h4, h5, h6 {
  margin-bottom: var(--spacing-vertical);
  font-family: var(--font-family-headings);
  font-weight: 700;
  line-height: 1.1;
  background-color: inherit;
  color: var(--color-heading);
  letter-spacing: .12em;
  /* word-spacing: 0.16em; */
}

h3, h4, h5, h6 {
  margin-bottom: var(--spacing-vertical-sm);
}

p {
  margin-bottom: var(--spacing-vertical);
}

ul, ol {
  margin-bottom: var(--spacing-vertical);
}

li {
  margin-top: var(--spacing-vertical-xs);
}

li ul,
li ol {
  margin-top: var(--spacing-vertical-xs);
  margin-bottom: 0;
}

strong,
b {
  font-weight: 700;
}

a,
a:visited {
  color: var(--color-link);
  background-color: transparent;
  padding: 1px;
}

a:hover,
a:focus,
a:focus-visible,
a:active {
  outline: 2px solid var(--color-link-hover);
  border-radius: 2px;
  text-decoration: none;
}

hr {
  border: 0 none;
  border-top: 1px solid var(--color-border);
}

img {
  display: block;
  max-width: 100%;
  height: auto;
}

a img {
  border: 0 none;
}

summary {
  font-weight: 700;
}

pre {
  overflow-x: scroll;
  padding: .5rem;
  color: var(--color-bg);
  background-color: var(--color-secondary);
  border-radius: var(--border-radius-input);
}

pre.markdown {
  background-color: var(--color-off-white);
  border: 1px dashed var(--color-border);
  padding: 25rem;
}

table {
  border-collapse: collapse;
}

table th, table td {
  border: 1px solid var(--color-border);
  padding: .25rem;
}

td:last-child em {
  font-style: normal;
  color: green;
  background-color: inherit;
}

td:last-child strong {
  color: var(--color-error);
  background-color: inherit;
}

button {
  margin: 0;
  cursor: pointer;
  border: 0 none;
  border-radius: var(--border-radius-button);
  color: var(--color-button);
  background-color: var(--color-button-bg);
  font-size: 1rem;
  line-height: 1.5rem;
}

button:hover {
  color: var(--color-button-hover);
  background-color: var(--color-button-hover-bg);
}

input[type="text"] {
  font-size: 1rem;
  line-height: 1.5rem;
  border: 1px solid var(--color-border);
}

header,
footer {
  padding: 1rem;
  color: var(--color-white);
  background-color: var(--color-secondary);
}

header {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
}

header,
header h1,
header a,
footer a,
header a:visited,
footer a:visited {
  color: var(--color-white);
}

.home-logo a {
  display: block;
  margin-right: 1rem;
}

header h1 {
  margin-right: 1rem;
}

.link-back {
  margin: 0;
  padding: .5rem 1rem;
  border-radius: var(--border-radius);
}

.link-back,
.link-back:visited {
  text-decoration: none;
  background-color: var(--color-primary-dark);
}

.home-logo img {
  height: 2rem;
  width: auto;
}

section {
  flex-grow: 1;
  margin: 2rem auto;
  max-width: 64rem;
  padding: 0 1.5rem;
  width: auto;
}
